Description

Hi,

Currently, when trying to connect to a postgres database with no postgis extension installed, QGIS gives an "Connection failed: check

settings and try again" message. Makes the user think he got something wrong with the host, port, or user settings... while he just needs to

run "CREATE EXTENSION postgis;" to make everything work !

A message saying that the connection was successful but the postgis extension missing would be much more informative.

Thanks !

Olivier

Associated revisions

Revision 10a51f67 - 2015-04-09 10:10 AM - Jürgen Fischer

include pointer to message in connection error message (fixes #12526)

Revision af5b5e7c - 2015-04-26 03:24 PM - Jürgen Fischer

include pointer to message in connection error message (fixes #12526)

(cherry picked from commit 10a51f672fa6b98174e9b94dd932dc08e5d77e71)

History

#1 - 2015-04-09 01:11 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"10a51f672fa6b98174e9b94dd932dc08e5d77e71".
